Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.esf
Class SigPolicyQualifiers

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.esf.SigPolicyQualifiers

All Implemented Interfaces:
  DEREncodable

    public class SigPolicyQualifiers

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`SigPolicyQualifiers(ASN1Sequence seq)`
`SigPolicyQualifiers(SigPolicyQualifierInfo[] qualifierInfos)`

Method Summary
`static SigPolicyQualifiers` `getInstance(java.lang.Object obj)`
`SigPolicyQualifierInfo` `getStringAt(int i)` Return the SigPolicyQualifierInfo at index i.
`int` `size()` Return the number of qualifier info elements present.
`DERObject` `toASN1Object()` SigPolicyQualifiers ::= SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigPolicyQualifiers

    public SigPolicyQualifiers(ASN1Sequence seq)

### SigPolicyQualifiers

    public SigPolicyQualifiers(SigPolicyQualifierInfo[] qualifierInfos)

Method Detail

### getInstance

    public static SigPolicyQualifiers getInstance(java.lang.Object obj)

### size

    public int size()

  Return the number of qualifier info elements present.

  Returns:
    number of elements present.

### getStringAt

    public SigPolicyQualifierInfo getStringAt(int i)

  Return the SigPolicyQualifierInfo at index i.

  Parameters:
    `i` - index of the string of interest
  Returns:
    the string at index i.

### toASN1Object

    public DERObject toASN1Object()

       SigPolicyQualifiers ::= SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45